import { PreferencesUtil } from '@pura/harmony-utils';
const defaultPreferenceName = "PLV_SP_HARMONY_UTILS_PREFERENCES";
export class PLVPreferencesUtils {
    constructor() {
    }
    static async put(key, value, x3 = defaultPreferenceName) {
        await PreferencesUtil.put(key, value, x3);
    }
    static async get(key, defValue, w3 = defaultPreferenceName) {
        return PreferencesUtil.get(key, defValue, w3);
    }
    static async getString(key, v3 = defaultPreferenceName) {
        return (await PreferencesUtil.get(key, "", v3));
    }
    static async getNumber(key, u3 = defaultPreferenceName, defaultValue = 0) {
        return (await PreferencesUtil.get(key, defaultValue, u3));
    }
    static async getBoolean(key, t3 = defaultPreferenceName) {
        return (await PreferencesUtil.get(key, false, t3));
    }
    static async has(key, s3 = defaultPreferenceName) {
        return PreferencesUtil.has(key, s3);
    }
    static async delete(key, r3 = defaultPreferenceName) {
        return PreferencesUtil.delete(key, r3);
    }
    static async clear(q3 = defaultPreferenceName) {
        return PreferencesUtil.clear(q3);
    }
}
