const a4 = 500;
export class PLVSimpleBuffer {
    constructor(d4 = a4) {
        this.buffer = [];
        this.timespan = a4;
        this.isRelease = false;
        this.timespan = d4;
    }
    observe(callback) {
        if (this.intervalId == undefined) {
            this.intervalId = setInterval(() => {
                if (this.buffer.length > 0) {
                    callback?.(this.buffer);
                    this.buffer.length = 0;
                }
            }, this.timespan);
        }
    }
    release() {
        this.isRelease = true;
        clearInterval(this.intervalId);
        this.buffer.length = 0;
    }
    push(b4) {
        if (this.isRelease) {
            return;
        }
        this.buffer.push(b4);
    }
}
