export class PLVTimeUtils {
    static generateTime(l4, m4) {
        const n4 = Math.floor(l4 / 1000);
        const o4 = n4 % 60;
        const p4 = Math.floor((n4 / 60) % 60);
        const q4 = Math.floor(n4 / 3600);
        if (m4 || q4 > 0) {
            return `${q4.toString().padStart(2, '0')}:${p4.toString().padStart(2, '0')}:${o4.toString().padStart(2, '0')}`;
        }
        else {
            return `${p4.toString().padStart(2, '0')}:${o4.toString().padStart(2, '0')}`;
        }
    }
}
