import { AxiosError } from '@ohos/axios';
import PLVJSONUtils from '../../common/PLVJSONUtils';
import PLVLogger from '../log/PLVLogger';
export class PLVHttpError extends AxiosError {
    constructor(g7) {
        const message = (g7.response?.data && PLVJSONUtils.safeStringify(g7.response.data)) || g7.message;
        super(message, g7.code, g7.config, g7.request, g7.response);
    }
    log(tag, f7) {
        PLVLogger.printError(tag, f7, this);
        return this;
    }
}
