export class PLVNetUtils {
    static replaceUrl(k3, l3) {
        const m3 = /{(\w+?)}/g;
        let match;
        let n3 = k3;
        while ((match = m3.exec(k3)) !== null) {
            const key = match[1];
            const p3 = l3.get(key);
            if (p3 !== undefined) {
                n3 = n3.replace(match[0], p3);
            }
        }
        return n3;
    }
    static formatUrl(j3, record) {
        return PLVNetUtils.replaceUrl(j3, new Map(Object.entries(record)));
    }
    static formatParams(params) {
        let h3 = '';
        if (params) {
            Object.entries(params).forEach((value, index) => {
                if (value?.[0] && value?.[1]) {
                    h3 += (index == 0 ? '?' : '&') + value?.[0] + '=' + value?.[1];
                }
            });
        }
        return h3;
    }
}
