import promptAction from "@ohos.promptAction";
import PLVCommonConstants from './PLVCommonConstants';
export class PLVToastUtils {
    shortShow(message) {
        this.show(message, PLVCommonConstants.LENGTH_SHORT);
    }
    longShow(message) {
        this.show(message, PLVCommonConstants.LENGTH_LONG);
    }
    show(message, duration) {
        promptAction.showToast({
            message: message,
            duration: duration
        });
    }
}
export default new PLVToastUtils();
