if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => {
    });
}
import webview from '@ohos.web.webview';
import PLVLogger from '../log/PLVLogger';
const TAG = "[PLVNewWindowLayout]";
export class PLVNewWindowLayout extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.controller = undefined;
        this.webviewController = new webview.WebviewController();
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params) {
        if (params.controller !== undefined) {
            this.controller = params.controller;
        }
        if (params.webviewController !== undefined) {
            this.webviewController = params.webviewController;
        }
    }
    updateStateVars(params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    setController(ctr) {
        this.controller = ctr;
    }
    aboutToAppear() {
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Web.create({ src: "", controller: this.webviewController });
            Web.javaScriptAccess(true);
            Web.zoomAccess(true);
            Web.domStorageAccess(true);
            Web.multiWindowAccess(false);
            Web.onWindowExit(() => {
                PLVLogger.info(TAG, "onWindowExit");
                if (this.controller) {
                    this.controller.close();
                }
            });
        }, Web);
        Column.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
}
